As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 763116 - Need to automate regular symbolication of chrome hang reports
: Need to automate regular symbolication of chrome hang reports
Status: RESOLVED FIXED
[JIRA METRICS-827] [Telemetry:P1] [Sn...
:
Product: Mozilla Metrics
Classification: Other
Component: Data/Backend Reports (show other bugs)
: unspecified
: All All
: -- normal with 1 vote (vote)
: Moved to JIRA
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 769019 774935
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 17:30 PDT by Vladan Djeric (:vladan)
Modified: 2012-10-02 14:01 PDT (History)
9 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Vladan Djeric (:vladan) 2012-06-08 17:30:07 PDT
While processing chrome hang reports from METRICS-663, I discovered that symbols for nightly builds are deleted every 30 days. We need to set up a cron job which will regularly gather Telemetry pings with chrome hang data and symbolicate the function addresses in the hang reports. I have a very simple script which can do the symbolication part.
Comment 1 User image Annie Elliott 2012-06-26 15:20:39 PDT
This will be considered with the rest of the telemetry work for next quarter.
Comment 2 User image (dormant account) 2012-07-02 14:08:48 PDT
(In reply to Annie Elliott from comment #1)
> This will be considered with the rest of the telemetry work for next quarter.

I'm not clear on what this means. Does this mean that we are not even considering working on this until Q3? I'm not sure what "rest of telemetry" part means. Is all telemetry work suspended until Q3?
Comment 3 User image (dormant account) 2012-07-02 14:11:17 PDT
Note, we have a hard 30day window after which it will not be able to symbolicate data from older builds.
Comment 4 User image (dormant account) 2012-07-02 14:17:35 PDT
Paula pointed out that we are already in Q3 :) I would still like clarification & more specific timeframes re:Annie's comment above. Note bug 764216 landed on July 18th. We will start loosing data on June 19th.

Annie, please do not remove [Snappy] whiteboard tags.
Comment 5 User image Annie Elliott 2012-07-06 14:52:22 PDT
migrated to JIRA https://metrics.mozilla.com/projects/browse/METRICS-827
Comment 6 User image Annie Elliott 2012-07-09 10:51:17 PDT
New JIRA migration identifier - 55 BZ issues being considered in current planning for Q3
Comment 7 User image Xavier Stevens [:xstevens] 2012-07-18 14:41:30 PDT
Fixed up symbolicate.py and checked it into our telemetry-toolbox project. I also pushed it out and updated our cron job to use it going forward. In addition I did back runs for all days since June 18th (30 days ago) and the results are reflected on our server (https://metrics.mozilla.com/protected/telemetry/chrome-hangs).

Note You need to log in before you can comment on or make changes to this bug.